Campaigns
Update a campaign
PUT
Requires the campaign:write scope.
ApiKeyheader
Authorization<token>Api-Key mc_... — a workspace API key.
id*stringapplication/json- body
subscriptionGroupId?|Format
uuidabTest?variants?array<>Items
2 <= items <= 5holdout?pacing?|nullsendWindow?|nulllocalTime?|nullname?stringLength
length <= 200emailTemplateId?stringFormat
uuidsegmentId?|Format
uuidsenderId?stringFormat
uuidstatus?stringValue in
"cancelled""draft""no-recipients""paused""pending-review""scheduled""sending""sent""testing"scheduledAt?|Format
date-timeexternalAudienceId?|Format
uuidaudienceFilter?|nullapplication/json- response
id*stringworkspaceId*stringname*stringemailTemplateId*string|nullsegmentId*string|nullsenderId*string|nullschedulingJobId*string|nullstatus*stringValue in
"cancelled""draft""no-recipients""paused""pending-review""scheduled""sending""sent""testing"scheduledAt*|Format
date-timestartedAt*|Format
date-timecompletedAt*|Format
date-timetotalRecipients*numbersentCount*numberdeliveredCount*numberbouncedCount*numberopenedCount*numberclickedCount*numbercomplainedCount*numberunconfirmedCount*numberfrequencyCapSkippedCount*numberprocessingError*string|nullcreated*stringFormat
date-timeupdated*stringFormat
date-timecreatedByUserId*string|nullsentByUserId*string|nullexternalAudienceId*string|nullaudienceFilter*|nullsubscriptionGroupId*string|nullemailTemplate*|nullsegment*|nullsender*|nullexternalAudience*|nullabTest*variants*array<>holdout*pacing*|nullsendWindow*|nulllocalTime*|nullfollowUpOfCampaignId*string|nullfollowUpOf*|nullfollowUps*array<>curl -X PUT 'https://api.mailcrate.io/public/campaign/string' \ -H 'Authorization: Api-Key <api_key>' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "id": "string", "workspaceId": "string", "name": "string", "emailTemplateId": "string", "segmentId": "string", "senderId": "string", "schedulingJobId": "string", "status": "cancelled", "scheduledAt": "2019-08-24T14:15:22Z", "startedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z", "totalRecipients": 0, "sentCount": 0, "deliveredCount": 0, "bouncedCount": 0, "openedCount": 0, "clickedCount": 0, "complainedCount": 0, "unconfirmedCount": 0, "frequencyCapSkippedCount": 0, "processingError": "string", "created": "2019-08-24T14:15:22Z", "updated": "2019-08-24T14:15:22Z", "createdByUserId": "string", "sentByUserId": "string", "externalAudienceId": "string", "audienceFilter": {}, "subscriptionGroupId": "string", "emailTemplate": { "id": "string", "name": "string", "subject": "string" }, "segment": { "id": "string", "name": "string" }, "sender": { "id": "string", "name": "string", "email": "string" }, "externalAudience": { "id": "string", "name": "string" }, "abTest": { "enabled": true, "metric": "clicks", "goalEventName": "string", "cohortPercentage": 0, "winnerStrategy": "automatic", "durationHours": 0, "winnerVariantId": "string", "phase": "awaiting_winner", "startedAt": "2019-08-24T14:15:22Z", "concludedAt": "2019-08-24T14:15:22Z" }, "variants": [ { "id": "string", "label": "string", "emailTemplateId": "string", "senderId": "string", "subjectOverride": "string", "weight": 0, "isWinner": true } ], "holdout": { "enabled": true, "percentage": 0, "goalEventName": "string" }, "pacing": {}, "sendWindow": {}, "localTime": {}, "followUpOfCampaignId": "string", "followUpOf": { "id": "string", "name": "string", "status": "cancelled" }, "followUps": [ { "id": "string", "name": "string", "status": "cancelled" } ]}